payment instrument associations.md
Payment Instrument Associations
In Finix, Payment Instruments are tied to the owner of that account. For example, Payment Instruments tied to buyer will be the cards used for purchases while Payment Instruments tied to a Merchant are the bank accounts where they receive settlements.
Therefore when billing events occur that are tied to a buyer's Payment Instrument (e.g. enrolling in account updater, using Plaid for tokenization, etc) Finix cannot automatically map those fees to a specific Merchant. By default, these costs are instead charged to your Application (e.g. the Platform, Marketplace, Vertical Saas owner's account) and will be deducted from your residual. If you wish to monetize these offerings or pass the fees on to your Merchant you must explicitly link the buyers Payment Instrument to a Merchant resource using the Payment Instrument Association
Create a Payment Instrument Association
- POST /payment_instrument_associations: Create a Payment Instrument Association to associate a Payment Instrument with a Merchant for fee assignment purposes.
List Payment Instrument Associations
- GET /payment_instrument_associations: Retrieve a list of Payment Instrument Association resources.
Fetch a Payment Instrument Association
- GET /payment_instrument_associations/{payment_instrument_association_id}: Retrieve the details of an existing Payment Instrument Association.
Update a Payment Instrument Association
- PUT /payment_instrument_associations/{payment_instrument_association_id}: Update the tags of an existing Payment Instrument Association.